### Hierarchy

- JsonTransform
  - InputGraphData

## Index

### Constructors

- constructor

### Properties

- clients
- fields

### Methods

- toJson

## Constructors

### constructor

- new InputGraphData(clients: Array<string>, fields?: Set<string>): InputGraphData

- - Defined in repository/models/InputGraphData.ts:8

  #### Parameters

  - ##### clients: Array<string>

  - ##### Optional fields: Set<string>

  #### Returns InputGraphData

## Properties

### clients

clients: Array<string>

- Defined in repository/models/InputGraphData.ts:7

### fields

fields: Set<string>

- Defined in repository/models/InputGraphData.ts:8

## Methods

### toJson

- toJson(): object

- Overrides JsonTransform.toJson

  - Defined in repository/models/InputGraphData.ts:16

  #### Returns object

Generated using TypeDoc